\begin{figure}[htbp]
	\centering
	\begin{subfigure}[t]{.3\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figs/results/original/cameraman}
		\caption{Original.}
		\label{fig:cameraman-orig-res}
	\end{subfigure}
	\begin{subfigure}[t]{.3\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figs/results/gaussian/cameraman}
		\caption{Ruido gaussiano.}
		\label{fig:cameraman-gaussian-res}
	\end{subfigure}
	\begin{subfigure}[t]{.3\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figs/results/bn/cameraman_var}
		\caption{Método variacional.}
		\label{fig:cameraman-var}
	\end{subfigure}
	\begin{subfigure}[t]{.3\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figs/results/bn/cameraman_iso}
		\caption{Flujo isotrópico.}
		\label{fig:cameraman-iso}
	\end{subfigure}
	\begin{subfigure}[t]{.3\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figs/results/bn/cameraman_aniso}
		\caption{Flujo anisotrópico.}
		\label{fig:cameraman-aniso}
	\end{subfigure}
	\begin{subfigure}[t]{.3\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figs/results/bn/cameraman_median}
		\caption{Filtro de la mediana.}
		\label{fig:cameraman-median}
	\end{subfigure}
	\caption{Tratamiento de la imagen \texttt{cameraman} con ruido gaussiano.}
	\label{fig:denoise-cameraman}
\end{figure}
